// SPDX-FileCopyrightText: 2023 ModExt Authors
//
// SPDX-License-Identifier: Apache-2.0

/*
 * This file was generated by the Gradle 'init' task.
 *
 * This generated file contains a sample Java application project to get you started.
 * For more details on building Java & JVM projects, please refer to https://docs.gradle.org/8.2.1/userguide/building_java_projects.html in the Gradle documentation.
 */

plugins {
    // Apply the application plugin to add support for building a CLI application in Java.
    application
}

repositories {
    // Use Maven Central for resolving dependencies.
    mavenCentral()
}

dependencies {
    implementation("net.sourceforge.owlapi:owlapi-distribution:5.5.0")

    // JCommander (command line arguments parsing)
    implementation("com.beust:jcommander:1.82")

    // Use JUnit Jupiter for testing.
    testImplementation("org.junit.jupiter:junit-jupiter:5.9.2")

    testRuntimeOnly("org.junit.platform:junit-platform-launcher")

    // This dependency is used by the application.
    implementation("com.google.guava:guava:31.1-jre")


    // Logging
    annotationProcessor(platform("org.apache.logging.log4j:log4j-bom:2.20.0"))
    annotationProcessor("org.apache.logging.log4j:log4j-api")
    annotationProcessor("org.apache.logging.log4j:log4j-core")
    annotationProcessor("org.apache.logging.log4j:log4j-slf4j-impl:2.20.0")

    implementation(platform("org.apache.logging.log4j:log4j-bom:2.20.0"))
    implementation("org.apache.logging.log4j:log4j-api")
    implementation("org.apache.logging.log4j:log4j-core")
    implementation("org.apache.logging.log4j:log4j-slf4j-impl:2.20.0")
}

// Apply a specific Java toolchain to ease working on different environments.
java {
    toolchain {
        languageVersion.set(JavaLanguageVersion.of(17))
    }
}

application {
    // Define the main class for the application.
    mainClass.set("mod.ext.App")
}

tasks.named<Test>("test") {
    testLogging.showStandardStreams = true
    // Use JUnit Platform for unit tests.
    useJUnitPlatform()
}
